epsilon = 0.01; /* avoid null width surfaces */
$fn = 100;

 module shaft()
 {
    base_width = 6.7;
    base_height = 2;
    width = 6.3;
    height = 7;
    translate([0, 0, base_height/2])
    {
        cylinder(d = base_width, h=base_height + epsilon, center=true);
    }
    translate([0, 0, base_height + height/2])
    {
        difference()
        {
            cylinder(d = width, h=height + epsilon, center=true);
            translate([0, 3, 0]) cube([width, 3, height + 2* epsilon], center = true);
        }
    }
}

module handle()
{
    w = 40;
    x = 2;
    difference()
    {
        hull()
        {
            sphere(d = w, center = true);
            translate([0, w/2 + x, 0]) sphere(d = 5, center = true);
        }
        translate([26, 22, w/2]) sphere(d = 60, center = true);
        translate([0, 0, -50]) cube([100, 100, 100], center = true);
    }
}

module knob()
{
    difference()
    {
        scale([0.9, 0.9, 0.5]) { handle(); }
        shaft();
    }
}

knob();
